Class Method4
     {   float xxx;                       //类的成员变量xxx
       float aaa(float x,float y)     //x和y是aaa的方法参数,作用域是方法aaa
         {   float xxx;
                /*在aaa方法中声明了与类的成员变量xxx同名的局部变量xxx,则在aaa的方法体中,xxx指的是局部变量*/
        xxx=x+y;                //此处的xxx指的是方法aaa的局部变量
        return xxx;
       }
       void bbb(float x)      //x是bbb的方法参数,作用域是方法bbb
       {   xxx=x;
       }
   }
   class TryMethod4
   {  public static void main(String args[])
      {        Method4 a=new Method4();
             System.out.println("方法aaa中局部变量xxx的值为："+a.aaa(5,8);)
             System.out.println("执行方法aaa后,类的成员变量a.xxx="+a.xxx);
a.bbb(8);
System.out.println("执行方法bbb后,类的成员变量a.xxx="+a.xxx);
       }
    }
